Bug 269065 - Only one possible instance of rekonq
Summary: Only one possible instance of rekonq
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.6.95
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-21 17:30 UTC by naraesk
Modified: 2011-03-23 00:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description naraesk 2011-03-21 17:30:09 UTC
Version:           0.6.95 (using KDE 4.6.1) 
OS:                Linux

I start rekonq, everythink is okay. But it is not possible to start a second instance/window. Everytime I get the message: unnamed app(4372) kdemain: rekonq is already running!

Tried with 0.6.95, compiled from source. With 0.6.1 from the repository this problem doesn't exist.

Reproducible: Always
Comment 1 Felix Rohrbach 2011-03-21 19:12:00 UTC
This is expected behaviour. Changing this to wishlist.
Comment 2 naraesk 2011-03-21 19:44:11 UTC
Oh. thanks for changing. I didn't thought that anyone could find that this behaviour make sense. I use 4 activities. Each of them contains 2 virtual desktops, so there are all at all 8 different desktops … why I should use only one browser window?

kind regards
Comment 3 Felix Rohrbach 2011-03-21 19:56:31 UTC
You can have two or more rekonq windows (press Ctrl+N), but it is still just one rekonq process. Anyway, I think you are right about what should happen: rekonq should open a new window when called without any arguments.
Comment 4 Andrea Diamantini 2011-03-21 22:52:39 UTC
(In reply to comment #3)
> Anyway, I think you are right about what should happen:
> rekonq should open a new window when called without any arguments.

So, this is a bug, not a wish. Right?
Comment 5 Felix Rohrbach 2011-03-21 23:04:20 UTC
(In reply to comment #4)
> So, this is a bug, not a wish. Right?

I think it could be seen as both, but if you prefer to see it as a bug, I have no problems with that.
Comment 6 Felix Rohrbach 2011-03-23 00:35:51 UTC
Git commit 71e6452121f955d48fd3065e06d3a8185b24fe23 by Felix Rohrbach.
Committed on 21/03/2011 at 23:40.
Pushed by felixr into branch 'master'.

Make rekonq open a new window when called, even if it's already running.

Reviewed by Andrea Diamantini.
BUG: 269065

M  +4    -2    src/application.cpp     

http://commits.kde.org/rekonq/71e6452121f955d48fd3065e06d3a8185b24fe23